/* Menu scorciatoie */
	
@media (min-width: 768px) {
	#containerMenu {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
	}
	#containerMenu .btn {
		padding: .375rem .75rem;
		width: 13em;
	}
	#containerMenu i {
		margin-right: .25rem;
	}
	#containerMenu span {
		display: block;
	}
}
	
@media (max-width: 768px) {
	#containerMenu {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;
	}
	#containerMenu .btn {
		padding: .5rem .55rem;
		width: auto;
	}
	#containerMenu i {
		margin-right: 0;
	}
	#containerMenu span {
		display: none;
	}
}

/* Bootstrap */
.input-group {
	flex-wrap: nowrap;
}

.form-control.is-invalid, 
.was-validated .form-control:invalid {
	background-image: none;
	padding-right: .75rem;
}

.tooltip {
	pointer-events: none;
}

/* Menu Navigator */
#navbarResponsive,
.nav-text,
#homeBtn.nav-link i {
	color: #ffffff;
	vertical-align: middle;
}

#userBtn.nav-link i {
	font-size: 2.75em;
}

/* Ticket */
#bTicket {
    position: fixed;
    display: block;
    bottom: 25px;
    right: 90px;
    text-align: center;
    text-decoration: none;
    z-index: 10002;
    cursor: pointer;
    border-radius: 28px;
}
#bTicket>span{
	white-space: nowrap;
	margin-left: 10px;
}
#bTicket > i {
	font-size: 3rem;
	transform: rotateY(180deg) scaleY(1.35);
}
#bTicket > i i {
	position: absolute;
	top: 7px;
	bottom: 0;
	right: 0;
	left: 0;
	font-size: 2rem;
	transform: rotateY(180deg) scaleX(.8) scaleY(.8);
	color: #fff;
}
.badge.messaggiDaLeggere {
	position: absolute;
	right: -5px;
	top: -5px;
}
@media (max-width: 991px) {
	#bTicket {
		right: 25px !important; 
	}
}

/* Spinner */
.spinner {
	align-items: center;
	background-color: rgba(0, 0, 0, 0.5);
	display: flex;
	justify-content: center;
	position: fixed;
	top: 0;
    bottom: 0;
    left: 0;
    right: 0;
	z-index: 1040;
}

/* Timeline */
.timeline-with-icons {
	border-left: 1px solid #ced4da;
	position: relative;
	list-style: none;
}

.timeline-with-icons .timeline-item {
	position: relative;
}

.timeline-with-icons .timeline-item:after {
	position: absolute;
	display: block;
	top: 0;
}

.timeline-with-icons .timeline-icon {
	position: absolute;
	left: -60px;
	border-radius: 50%;
	height: 40px;
	width: 40px;
	display: flex;
	align-items: center;
	justify-content: center;
}

/* Flag-icons */ 
i.fi {
	width: 1.666666em !important;
    line-height: 1.25em !important;
}

/* Bootstrap-select */

.bootstrap-select .dropdown-toggle:focus, 
.bootstrap-select .btn:focus {
	outline: none !important;
	box-shadow: none !important;
}

.bootstrap-select .dropdown-menu .inner {
	padding: 0 !important;
}

.bootstrap-select .dropdown-menu.inner li a {
	display: block;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	width: 100%;
	max-width: 100%;
}

.bootstrap-select .dropdown-menu {
	background-color: #fff !important;
	transition: none !important;
	min-width: 100% !important;
	max-width: 90vw;
	width: auto;
}

.bootstrap-select button:not(:disabled) {
	background-color: #fff !important;
	border: 1px solid #ced4da !important;
	color: #495057 !important;
}

.bootstrap-select .dropdown-menu a {
	color: #495057 !important;
	border-top: 1px solid #f5f5f5;
}

.bootstrap-select .dropdown-menu a:hover,
.bootstrap-select .dropdown-menu a.active {
	background-color: #f5f5f5 !important;
}

/* ticket */
.imgStato_chiusa {
	background-image: url(../../_img/ticket_statoChiusa.png);
	background-size: contain;
}
.imgStato_risposta_presente {
	background-image: url(../../_img/ticket_statoRisposta.png);
	background-size: contain;
}
.imgStato_nuova_richiesta,
.imgStato_domanda_presente {
	background-image: url(../../_img/ticket_statoInviata.png);
	background-size: contain;
}

/* combobox selezione lingue navbar */
@media (max-width: 420px) {
	#lang + button + .dropdown-menu {
	    right: 0;
	    left: auto;
	}
	#navTop .dropdown{
		background-color: transparent !important;
	}
	
	#lang+button.form-control {
		background-color: transparent !important;
		border: 0 !important;
		color: #fff !important;
		font-size: .7rem !important;
	}
	
	#lang+button.dropdown-toggle .fi {
		font-size: initial !important;
	}
	
	#lang+button.dropdown-toggle .filter-option-inner-inner {
		font-size: 0 !important;
	}
	
	#homeBtn {
		padding: 0 !important;
	}
}